Subject: mrtg requires X11?
To: None <>
From: charlie allom <>
List: current-users
Date: 12/01/2000 04:58:24
hi all,

i'm rebuilding my box without X11, and was going thru the pkgsrc
tree and came across mrtg.

on my last box, which had the /usr/X11R6 binaries, mrtg didnt
complain about an install .. but now, it wants /usr/X11R6 for all
it's dependencies ..

mrtg -> gd -> freetype-lib
	   -> png
	   -> jpeg-*
	   -> libtool
	   -> xpm

i can get around this by creating an empty /usr/X11R6 directory
.. freetype-lib, png, libtool and jpeg install happily.

seems tho that xpm is not so happy. it dies with:

===> Required package xpm-3.4k: NOT found
===> Verifying reinstall for ../../graphics/xpm
===> Configuring for xpm-3.4k
env: xmkmf: No such file or directory
*** Error code 127

*** Error code 1

etc etc ..

i was about to find another nBSD box and just copy over the xpm
stuff to (try and) fool this install when i thought maybe someone else had
a more elegant solution ..?

any help appreciated,
--  |  Save The Bales
Melbourne, Australia    |  |  PGP available